Skip to content

Set the value of the custom field

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If this document description is incorrect, please refer to the V3 API.

Set the value of the custom field for the user, role or department. If it exists, update it, and if it does not exist, create it.

Method name

ManagementClient.set_custom_data

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a SetCustomDataDto[]Yes-Custom data list Array length limit: 50.
targetIdentifierstringyes-Unique identifier of the target object:
- If it is a user, it is the user's ID, such as 6343b98b7cfxxx9366e9b7c
- If it is a role, it is the role's code, such as admin
- If it is a group, it is the group's code, such as developer
- If it is a department, it is the department's ID, such as 6343bafc019xxxx889206c4c
userId1
targetTypestringyes-Target object type:
- USER: user
- ROLE: role
- GROUP: group
- DEPARTMENT: department
USER
tenantIdstringno-Tenant ID642c1df417c2d8a80d744c1d
namespacestringNo-The code of the permission group. This field is required when target_type is role. Otherwise, it can be ignored.default

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

SetCustomDataDto

NameTypeIs it required?DescriptionSample value
tenantIdstringNoTenant ID642c1df417c2d8a80d744c1d
keystringYesField key, cannot conflict with the key of built-in fieldsschool
valuestringYesCustom data, can be of any type, but must match the custom field type defined when creating, otherwise the setting will failpku

IsSuccessDto

NameTypeIs it required?DescriptionSample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.